Package: groovy.transform

## [Java] Annotation Type TypeCheckingInfo

- groovy.transform.TypeChecked.TypeCheckingInfo

- This annotation is added by

  TypeChecked:
    on methods which have type checking turned on. It is used to embed type information into binary, so that the type checker can use this information, if available, for precompiled classes.

- - ### Element Summary

    Required Element Summary
    Type | Name and Description
    --- | ---
    `String` | `inferredType` An encoded type information.

    Optional Element Summary
    Type | Name and Description
    --- | ---
    `int` | `version` Returns the type checker information protocol number.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Element Detail

    - #### public String inferredType

      An encoded type information.

      Returns:
        the inferred type

    - #### public int version

      Returns the type checker information protocol number. This is used if the format of the string used in inferredType() changes. @default 0

      Returns:
        the protocol version